/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  // tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],
  mainSidebar: [
    {
      type: 'doc',
      id: 'intro',
      label: 'Introduction'
    },
    {
      type: 'ref',
      id: 'training/intro',
      label: 'Training'
    },
    // {
    //   type: 'ref',
    //   id: 'features/overview',
    //   label: 'Features'
    // },
    {
      type: 'ref',
      id: 'under-construction',
      label: 'Support'
    },
    // {
    //   type: 'ref',
    //   id: 'under-construction',
    //   label: 'More'
    // },
  ],
  trainingSidebar: [{ type: 'autogenerated', dirName: 'training' }],
  topicsSidebar: [{ type: 'autogenerated', dirName: 'topics' }],
  // featuresSidebar: [{ type: 'autogenerated', dirName: 'features' }],
  // variantsSidebar: [{ type: 'autogenerated', dirName: 'variants' }],
  // supportSidebar: [{ type: 'autogenerated', dirName: 'support' }],

  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['hello'],
    },
  ],
   */
};
